<!doctype html>
<html lang="en">
	<head>
		<title>
			{# Use the default title if not `pageTitle` is not defined #}
			{% if pageTitle %}
				{{pageTitle}}
			{% else %}
				Example Web Server
			{% endif %}
		</title>
		{# Shared meta data space #}
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<meta http-equiv="x-ua-compatible" content="ie=edge">

		{# Space reserved for meta data specific to certain pages #} 
			 
		{% block    pageMeta %}

		{% endblock pageMeta %}

		{# Shared css script spaces #}
			
		{# Font Awesome #}
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.2/css/all.css">
		{# Google Fonts #}
		<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700&display=swap">
		{# Bootstrap core CSS #}
		{# <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.0/css/bootstrap.min.css"> #}
		{# 
			Dark theme if you like :) 
			https://bootswatch.com/darkly/
		#}
		<link rel="stylesheet" href="https://bootswatch.com/4/darkly/bootstrap.min.css">
		{# Material Design Bootstrap #}
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/mdbootstrap/4.19.1/css/mdb.min.css">

		<link  rel="stylesheet" href="/public/css/main.css">

		{# Space reserved for css files specific to certain pages #}
		{% block    pageCSS %}

		{% endblock pageCSS %}

		{# Shared javascript spaces #}

		{# JQuery #}
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
		{# Bootstrap tooltips #}
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.4/umd/popper.min.js"></script>
		{# Bootstrap core JavaScript #}
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.0/js/bootstrap.min.js"></script>
		{# MDB core JavaScript #}
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mdbootstrap/4.19.1/js/mdb.min.js"></script>

		<script type="text/javascript" src="/public/js/main.js"></script>

		{# Space reserved for javascript files specific to certain pages #}
		{% block    pageJS %}

		{% endblock pageJS %}
	</head>

	<body>
		{% include "partials/navbar.html" %}

		{% block    pageContent %}

		{% endblock pageContent %}
	</body>
</html>